Delete a Project MCP Server
delete
/ic/api/integration/v1/projects/{projectId}/mcp/servers/{id}
Deletes an MCP server from a project. Deletion is rejected while active or configured gateways, or security policies, reference the server.
Request
Path Parameters
-
id(required): string
MCP server code. The default backend version is 01.00.0000.Example:
MCP_SERVER -
projectId(required): string
Project identifierExample:
MCP_PROJECT
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.Example:
example-instance
There's no request body for this operation.
Back to TopResponse
200 Response
Successful deletion; the response body is empty.
400 Response
Malformed parameters
401 Response
Unauthorized or insufficient design-time permissions
404 Response
Project or resource not found, or the MCP feature is not available
409 Response
Conflict, including an operation blocked because the service is in read-only mode.
412 Response
Deletion is blocked by active or configured gateway references, security-policy references, or other underlying connection usage.
423 Response
The underlying connection is locked or the delegated deletion cannot complete.
500 Response
Server error
Examples
The following example shows how to delete an MCP server from a project by submitting a DELETE request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Delete a Project MCP Server
curl --request DELETE --include \
--url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/servers/${SERVER_ID}?integrationInstance=${INTEGRATION_INSTANCE}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/json"